/**
 * Copyright (c) 2007, 2020 Borland Software Corporation, CEA LIST, Artal and others
 * 
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 * 
 * SPDX-License-Identifier: EPL-2.0
 * 
 * Contributors:
 *    Alexander Shatalin (Borland) - initial API and implementation
 *    Michael Golubev (Montages) - #386838 - migrate to Xtend2
 *    Aurelien Didier (ARTAL) - aurelien.didier51@gmail.com - Bug 569174
 */
package xpt.diagram.updater;

import com.google.inject.Inject;
import com.google.inject.Singleton;
import org.eclipse.papyrus.gmf.codegen.gmfgen.GenDiagramUpdater;
import org.eclipse.xtend2.lib.StringConcatenation;
import org.eclipse.xtext.xbase.lib.Extension;
import xpt.Common;

@Singleton
@SuppressWarnings("all")
public class extensions {
  @Inject
  @Extension
  private Common _common;
  
  public CharSequence extensions(final GenDiagramUpdater it) {
    StringConcatenation _builder = new StringConcatenation();
    CharSequence _extraLineBreak = this._common.extraLineBreak();
    _builder.append(_extraLineBreak);
    _builder.newLineIfNotEmpty();
    CharSequence _extraLineBreak_1 = this._common.extraLineBreak();
    _builder.append(_extraLineBreak_1);
    _builder.newLineIfNotEmpty();
    String _tripleSpace = this._common.tripleSpace(1);
    _builder.append(_tripleSpace);
    _builder.append("<extension point=\"org.eclipse.ui.commands\" id=\"update-cmd\">");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_1 = this._common.tripleSpace(2);
    _builder.append(_tripleSpace_1);
    CharSequence _xmlGeneratedTag = this._common.xmlGeneratedTag();
    _builder.append(_xmlGeneratedTag);
    _builder.newLineIfNotEmpty();
    String _tripleSpace_2 = this._common.tripleSpace(2);
    _builder.append(_tripleSpace_2);
    _builder.append("<command");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_3 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_3);
    _builder.append("categoryId=\"org.eclipse.ui.category.edit\"");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_4 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_4);
    _builder.append("defaultHandler=\"");
    String _updateCommandQualifiedClassName = it.getUpdateCommandQualifiedClassName();
    _builder.append(_updateCommandQualifiedClassName);
    _builder.append("\"");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_5 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_5);
    _builder.append("description=\"%update.diagram.description\"");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_6 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_6);
    _builder.append("id=\"");
    String _updateCommandID = it.getUpdateCommandID();
    _builder.append(_updateCommandID);
    _builder.append("\"");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_7 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_7);
    _builder.append("name=\"%update.diagram.name\"/>");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_8 = this._common.tripleSpace(1);
    _builder.append(_tripleSpace_8);
    _builder.append("</extension>");
    _builder.newLineIfNotEmpty();
    CharSequence _extraLineBreak_2 = this._common.extraLineBreak();
    _builder.append(_extraLineBreak_2);
    String _outTab = this.outTab();
    _builder.append(_outTab);
    _builder.newLineIfNotEmpty();
    String _tripleSpace_9 = this._common.tripleSpace(1);
    _builder.append(_tripleSpace_9);
    _builder.append("<extension point=\"org.eclipse.ui.bindings\" id=\"update-cmd-binding\">");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_10 = this._common.tripleSpace(2);
    _builder.append(_tripleSpace_10);
    CharSequence _xmlGeneratedTag_1 = this._common.xmlGeneratedTag();
    _builder.append(_xmlGeneratedTag_1);
    _builder.newLineIfNotEmpty();
    String _tripleSpace_11 = this._common.tripleSpace(2);
    _builder.append(_tripleSpace_11);
    _builder.append("<key ");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_12 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_12);
    _builder.append("commandId=\"");
    String _updateCommandID_1 = it.getUpdateCommandID();
    _builder.append(_updateCommandID_1);
    _builder.append("\"");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_13 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_13);
    _builder.append("contextId=\"");
    String _contextID = it.getEditorGen().getEditor().getContextID();
    _builder.append(_contextID);
    _builder.append("\"");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_14 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_14);
    _builder.append("schemeId=\"org.eclipse.ui.defaultAcceleratorConfiguration\"");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_15 = this._common.tripleSpace(3);
    _builder.append(_tripleSpace_15);
    _builder.append("sequence=\"F5\"/>");
    _builder.newLineIfNotEmpty();
    String _tripleSpace_16 = this._common.tripleSpace(1);
    _builder.append(_tripleSpace_16);
    _builder.append("</extension>");
    _builder.newLineIfNotEmpty();
    return _builder;
  }
  
  public String outTab() {
    return "\t";
  }
}
